package com.kb;

import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.AfterReturning;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;

@Aspect
public class MyAfterReturningAspect {


	@Pointcut("execution(* com.kb.SimpleCalculator.*(..))")
	public void pointcutName(){}
	
	  @AfterReturning("pointcutName()")//applying pointcut on before advice  
	    public void myadvice(JoinPoint jp)
	    {  
	        System.out.println("my after returning advice");  
	    }

}
