package com.kb;

import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.AfterThrowing;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;

@Aspect
public class MyAfterThrowingAspect {

	@Pointcut("execution(* com.kb.SimpleCalculatorThrowsException.*(..))")
	public void pointcutName(){}
	
	  @AfterThrowing("pointcutName()")//applying pointcut on before advice  
	    public void myadvice(JoinPoint jp)
	    {  
	        System.out.println("my after throwing advice");  
	    }

}
