package com.kb;

import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.aspectj.lang.annotation.Pointcut;

@Aspect
public class MyBeforeAspect {
	
	@Pointcut("execution(* com.kb.SimpleCalculator.*(..))")
	public void pointcutName(){}
	
	  @Before("pointcutName()")//applying pointcut on before advice  
	    public void myadvice(JoinPoint jp)
	    {  
	        System.out.println("my before advice");  
	    }

}
